threadtools.cpp (2574) : Assertion Failed

I get this error on my server, and the server crashes. Do you know why? Thank you!:

**threadtools.cpp (2574) : Assertion Failed: Illegal termination of worker thread
‘CNet Encrypt:0’
Assert( Assertion Failed: Illegal termination of worker thread ‘CNet Encrypt:0’
):. hreadtools.cpp:2574

**

I have this alot to someone please respond its extremely annoying!

I agree. I have tried asking around, but either did not got any answers, or simply a “Yes i have the same problem.”

Could someone answer please? :slight_smile: I really need help with this problem…

ditto

EDIT:

Perhaps we should compare some basic addons?

i have madcow, ulx, adv dupe, stacker

I got a similar error like that when I was creating a lua script and I forgot to add “end” after multiple if the else’s.

Search through your custom lua scripts and make sure you have ended everything.

Regards, Sven.

It dosen’t say anything in the error logs.

I think ive fixed the problem , i looked up “umsg.Start(” in all my files and i found one umsg didnt even exist, and another had a typo error.

ive fixed, and it has been about 15 hours and this has not happened yet.

EDIT: It happened again :frowning: fuck you garry

Could someone please help?

PLEASE HELP For fucks sake!

threadtools.cpp (2574) : Assertion Failed: Illegal termination of worker thread
‘CNet Encrypt:0’
Assert( Assertion Failed: Illegal termination of worker thread ‘CNet Encrypt:0’
):. hreadtools.cpp:2574

I do not have SourceMod or anything like that installed. Got gm_tmysql.dll and libmysql.dll and sourcenet3.dll

If you can’t answer, could you redirect me to a place i could ask?

Have you tried any troubleshooting, like removing addons or modules?

Yes. I have. Tried to remove gm_sourcenet3 and gm_cvar2, didn’t work.

That eliminates those two. What about the rest of them?

Defaults with GMOD?

You mentioned gm_tmysql above. Have you already tried removing that one?

i don’t have any of those?

I can’t since i am using Nexus (That earlier OpenAura gamemode. But not OpenAura.)

It’s a custom module, nothing to do with lua scripts.